### Class

# Foundry DebuggerCountpoint

#### Description [src]

    abstract class Foundry.DebuggerCountpoint : Foundry.DebuggerTrap
    {
      /* No available fields */
    }

Abstract base class for debuggers to implement countpoints.

#### Ancestors

- FoundryDebuggerTrap
- GObject

#### Instance methods

##### Methods inherited from FoundryDebuggerTrap (5)

###### foundry_debugger_trap_arm

No description available.

###### foundry_debugger_trap_disarm

No description available.

###### foundry_debugger_trap_dup_id

Gets the identifier for this trap (such as breakpoint number).

###### foundry_debugger_trap_is_armed

No description available.

###### foundry_debugger_trap_remove

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryDebuggerTrap (1)

###### Foundry.DebuggerTrap:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDebuggerCountpointClass {
      FoundryDebuggerTrapClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryDebuggerTrapClass`

  No description available.